<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<OutputType>Exe</OutputType>
		<TargetFramework>net6.0-windows</TargetFramework>

		<Nullable>enable</Nullable>
		<UseWPF>true</UseWPF>
	</PropertyGroup>

  <ItemGroup>
    <None Remove="appsettings.json" />
    <None Remove="Templates\fonts\font_5w2octy6l1q\iconfont.ttf" />
    <None Remove="Templates\gif\loading.gif" />
    <None Remove="Templates\image\background.jpg" />
    <None Remove="Templates\image\login-background.jpg" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="appsettings.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\SlnMesnac.Business\SlnMesnac.Business.csproj" />
    <ProjectReference Include="..\SlnMesnac.Common\SlnMesnac.Common.csproj" />
    <ProjectReference Include="..\SlnMesnac.Config\SlnMesnac.Config.csproj" />
    <ProjectReference Include="..\SlnMesnac.Extensions\SlnMesnac.Extensions.csproj" />
    <ProjectReference Include="..\SlnMesnac.Generate\SlnMesnac.Generate.csproj" />
    <ProjectReference Include="..\SlnMesnac.Model\SlnMesnac.Model.csproj" />
    <ProjectReference Include="..\SlnMesnac.Mqtt\SlnMesnac.Mqtt.csproj" />
    <ProjectReference Include="..\SlnMesnac.Plc\SlnMesnac.Plc.csproj" />
    <ProjectReference Include="..\SlnMesnac.Quartz\SlnMesnac.Quartz.csproj" />
    <ProjectReference Include="..\SlnMesnac.Repository\SlnMesnac.Repository.csproj" />
    <ProjectReference Include="..\SlnMesnac.Rfid\SlnMesnac.Rfid.csproj" />
    <ProjectReference Include="..\SlnMesnac.Serilog\SlnMesnac.Serilog.csproj" />
    <ProjectReference Include="..\SlnMesnac.TouchSocket\SlnMesnac.TouchSocket.csproj" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="CommunityToolkit.Mvvm" Version="8.4.0" />
    <PackageReference Include="Lierda.WPFHelper" Version="1.0.3" />
    <PackageReference Include="MaterialDesignThemes" Version="5.1.0" />
    <PackageReference Include="Microsoft.Extensions.Hosting" Version="9.0.0" />
    <PackageReference Include="Rougamo.Fody" Version="5.0.0" />
    <PackageReference Include="Scrutor" Version="6.0.1" />
    <PackageReference Include="WindowsAPICodePack-Shell" Version="1.1.1" />
    <PackageReference Include="WpfAnimatedGif" Version="2.0.2" />
  </ItemGroup>

  <ItemGroup>
    <Resource Include="Templates\fonts\font_5w2octy6l1q\iconfont.ttf">
      <CopyToOutputDirectory>Never</CopyToOutputDirectory>
    </Resource>
    <Resource Include="Templates\gif\loading.gif" />
    <Resource Include="Templates\image\background.jpg" />
    <Resource Include="Templates\image\login-background.jpg" />
  </ItemGroup>

</Project>
